Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Desired version (2.6.2.2) of ambari-agent package is not available. Repository has following versions of ambari-agent:2.7.3.0

Highlighted

Desired version (2.6.2.2) of ambari-agent package is not available. Repository has following versions of ambari-agent:2.7.3.0

New Contributor

I have clean new VM CentOS 7.6

Ambari 2.6.2.2

Successfully start ambari-server and most of the requirements like chrony, FQDN, paswordless SSH is configured, etc.


When I try to add target hosts:

/var/log/ambari-server/ambari-server.log says below:

Desired version (2.6.2.2) of ambari-agent package is not available. Repository has following versions of ambari-agent:2.7.3.0


yum list ambari*
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.unej.ac.id
 * epel: mirror.premi.st
 * extras: mirror.unej.ac.id
 * updates: mirror.unej.ac.id
Installed Packages
ambari-server.x86_64  2.6.2.2-1                                               @ambari-2.6.2.2
Available Packages
ambari-agent.x86_64  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-infra-solr.noarch  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-infra-solr-client.noarch  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-logsearch-logfeeder.noarch  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-logsearch-portal.noarch  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-metrics-collector.x86_64  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-metrics-common.noarch  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-metrics-grafana.x86_64  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-metrics-hadoop-sink.x86_64  2.6.2.2-1                                               ambari-2.6.2.2 
ambari-metrics-monitor.x86_64  2.6.2.2-1                                               ambari-2.6.2.2


 yum repolist
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.unej.ac.id
 * epel: mirror.premi.st
 * extras: mirror.unej.ac.id
 * updates: mirror.unej.ac.id
repo id                                                  repo name                                                                               status
ambari-2.6.2.2                                           ambari Version - ambari-2.6.2.2                                                             12
base/7/x86_64                                            CentOS-7 - Base                                                                         10,019
epel/x86_64                                              Extra Packages for Enterprise Linux 7 - x86_64                                          13,068
extras/7/x86_64                                          CentOS-7 - Extras                                                                          386
updates/7/x86_64                                         CentOS-7 - Updates                                                                       1,573
repolist: 25,058


yum list installed | grep ambar*
ambari-server.x86_64                 2.6.2.2-1                        @ambari-2.6.2.2


cat /etc/yum.repos.d/ambari.repo 
#VERSION_NUMBER=2.6.2.2-1
[ambari-2.6.2.2]
name=ambari Version - ambari-2.6.2.2
baseurl=http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.6.2.2
gpgcheck=1
gpgkey=http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.6.2.2/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins
enabled=1
priority=1


Am I missing something? I have not try to install manually ambari-agent to target hosts yet,


Thanks!